import Parser from "./parser.ts";

// mutate fetch to be local

// @ts-ignore
fetch = async (path: string) => {
  // @ts-ignore
  const fs = await import("fs");
  return {
    json: () => JSON.parse(fs.readFileSync(`public/${path}`)),
  };
};

const parser = await Parser.instance();

console.log(JSON.stringify(await parser.parse(10394)));
